{% extends 'Default/index.html.twig' %}
{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('geographic-areas') }}
{% endblock %}
{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('geographic-areas') }}
{% endblock %}
{% block main_content %}
  <section id="intro" class="container px-4 my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h2>{{ 'modifica' | trans() }} {% if item.name %} - {{ item.name }}{% endif %}</h2>
      </div>
      <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
        {{ form_start(form) }}
        {{ form_errors(form) }}
        {{ form_row(form.name) }}
        {{ form_row(form.description) }}
        <div class="form-group">
          <label>{{ 'geographic_areas.edit.area'|trans }}</label>
          <div id="map" style="height: 400px"></div>
        </div>
        <div class="form-group">
          <div id="import-area-container" class="collapse-div" role="tablist">
            <div class="collapse-header" id="import-heading">
              <button data-toggle="collapse" type="button" data-target="#import-panel" aria-expanded="false" aria-controls="import-panel">
                {{ 'geographic_areas.edit.import_area'|trans }}
              </button>
            </div>
            <div id="import-panel" class="collapse bg-light" role="tabpanel" aria-labelledby="import-heading" data-parent="#import-area-container">
              <div class="collapse-body">
                <div class="row">
                  <div class="col-12">
                    <div class="callout" style="max-width: none">
                      <div class="callout-title bg-light"><svg class="icon"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-info-circle"></use></svg> {{ 'geographic_areas.edit.help'|trans }}</div>
                      <h6>{{ 'geographic_areas.edit.help_title'|trans }}</h6>
                      <ol>
                        <li>
                          {{ 'geographic_areas.edit.help_instruction_1'|trans|raw }}
                        </li>
                        <li>
                          {{ 'geographic_areas.edit.help_instruction_2'|trans|raw }}
                        </li>
                        <li>
                          {{ 'geographic_areas.edit.help_instruction_3'|trans|raw }}
                        </li>
                      </ol>
                    </div>
                  </div>
                  <div class="col-12">
                    <div class="form-group">
                    <label>{{ 'general.import_url' | trans }}</label>
                    <input type="url" class="form-control" id="import-url-field">
                    </div>
                  </div>
                  <div class="col-12">
                    <button class="btn btn-sm btn-outline-primary" type="button" id="import-button">
                      <svg class="icon icon-primary icon-sm"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-download"></use></svg> {{ 'general.import' | trans }}
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>

        </div>
        <div class="d-none">
          {{ form_row(form.geofence) }}
        </div>
        <div class="mt-3 text-right">
          <a class="btn btn-outline-secondary" href="{{ path('admin_geographic_area_index') }}">{{ 'webhook.back_to_list' | trans() }}</a>
          <button name="save" type="submit" value="save" class="btn btn-primary ml-1">{{ 'salva'|trans }}</button>
        </div>
        {{ form_end(form) }}
      </div>
    </div>
  </section>
{% endblock %}
